#pragma once
#include <map>
struct Fish_SceneCFGData
{
	//ID
	int mID;
	//场景名字
	std::string mResName;
	//资源路径
	std::string mResPath;
	//预加载资源
	std::vector<std::string> mPreloadResource;
	//是否特殊场景
	bool mIsSpecial;
};

class Fish_SceneCFG
{
public:
private:
	static std::auto_ptr<Fish_SceneCFG> msSingleton;
public:
	int GetCount();
	const Fish_SceneCFGData* GetData(int ID);
	const std::map<int, Fish_SceneCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SceneCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SceneCFGData> mMapData;
};
